# $Revision: 1.8 $, $Date: 2005/05/15 15:09:13 $
Summary:	GNOME Build Framework (GBF)
Summary(pl):	Struktura GNOME Build (GBF)
Name:		gnome-build
Version:	0.1.1
Release:	1
License:	GPL
Group:		Development/Tools
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gnome-build/0.1/%{name}-%{version}.tar.bz2
# Source0-md5:	713fc135e7d3471736f0480d633bf180
BuildRequires:	automake
BuildRequires:	gdl-devel >= 0.5.0
BuildRequires:	gnome-vfs2-devel >= 2.3.5
BuildRequires:	libbonoboui-devel >= 2.3.3
BuildRequires:	libglade2-devel
BuildRequires:	libgnomeui-devel >= 2.3.3
BuildRequires:	libxml2-devel >= 2.5.8
BuildRequires:	perl-base
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GNOME Build Framework (GBF).

%description -l pl
Struktura GNOME Build (GBF).

%package devel
Summary:	Header files for gnome-build
Summary(pl):	Pliki nagwkowe gnome-build
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for gnome-build.

%description devel -l pl
Pliki nagwkowe gnome-build.

%prep
%setup -q

%build
cp -f /usr/share/automake/config.sub .
%configure \
	--enable-compile-warnings=maximum
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -r $RPM_BUILD_ROOT%{_datadir}/locale/no

%find_lang gbf-1

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f gbf-1.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/lib*.so.*.*.*
%dir %{_libdir}/%{name}-1.0
%dir %{_libdir}/%{name}-1.0/backends
%attr(755,root,root) %{_libdir}/%{name}-1.0/backends/lib*.so*
%{_libdir}/%{name}-1.0/backends/lib*.la
%{_libdir}/%{name}-1.0/backends/gbf-am.server
%{_datadir}/%{name}
%{_pixmapsdir}/*

%files devel
%defattr(644,root,root,755)
%{_includedir}/%{name}-1.0
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_pkgconfigdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gnome-build.spec,v $
Revision 1.8  2005/05/15 15:09:13  freetz
- 0.1.1, updated BRs, remove no locale

Revision 1.7  2004/03/13 20:17:23  qboosh
- BR: automake, s/perl/perl-base/, strict internal dep

Revision 1.6  2004/03/12 23:51:28  andree
- copy config.sub

Revision 1.5  2003/11/11 01:12:29  ankry
- caps unification

Revision 1.4  2003/08/12 11:32:16  wiget
- Werror disabled

Revision 1.3  2003/08/12 06:05:34  ankry
- cosmetics

Revision 1.2  2003/08/11 23:59:26  grzegol
- added post/postun ldconfig

Revision 1.1  2003/08/11 23:44:20  grzegol
- new
